Package org.eclipse.graphiti.tb

# Class AbstractDecorator

java.lang.Object
org.eclipse.graphiti.tb.AbstractDecorator

All Implemented Interfaces:
  `IDecorator`

Direct Known Subclasses:
  `BorderDecorator`, `ColorDecorator`, `ImageDecorator`, `TextDecorator`

public abstract class AbstractDecorator extends Object implements IDecorator
The Class AbstractDecorator.

## Constructor Summary

Constructors
Constructor
Description
`AbstractDecorator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
Gets the message to be shown as a tooltip for the decorator.
`void`
`setMessage(String message)`
Sets the message to be shown as a tooltip for the decorator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractDecorator

public AbstractDecorator()

## Method Details

### getMessage

public String getMessage()
Description copied from interface: `IDecorator`
Gets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Specified by:
  `getMessage` in interface `IDecorator`
Returns:
  the message

### setMessage

public void setMessage(String message)
Description copied from interface: `IDecorator`
Sets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Specified by:
  `setMessage` in interface `IDecorator`
Parameters:
  `message` - the new message